Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.project
Interface IdeProjectNode

public interface IdeProjectNode

Interface `IdeProjecrNode` represents a file or a directory in Together project.

If this project node is a directory then it can contain other files or directories.

Author:
  TogetherSoft

Method Summary
`IdeProjectNodeEnumeration` | `children()` Returns an enumeration of sub`IdeProjectNode`s for this node.
`String` | `getAbsoluteFileName()` Returns the string that contain fully qualified name of this `IdeProjectNode`.
`String` | `getAccess()` Returns the string with the kind of access to this `IdeProjectNode`.
`String` | `getFileName()` Returns the string with the name of this `IdeProjectNode`.
`String` | `getFileType()` Returns a string that contains file type for this `IdeProjectNode`.
`String` | `getLanguage()` Returns the string with the name of a programming lagnuage for this `IdeProjectNode`.
`String` | `getPackagePrefix()` Returns the string with a name of a package where this `IdeProjectNode` belongs.
`IdeProjectNode` | `getParent()` Returns the `IdeProjectNode` this `IdeProjectNode` belongs to.
`IdeProject` | `getProject()` Returns the `IdeProject` where this `IdeProjectNode` belongs.
`String` | `getProperty(String key)` Returns the string value of the specified property.
`String` | `getProperty(String key, String defValue)` Gets the property value for the specified `key`, or returns specified default value, if such property is not found.
`boolean` | `isDirectory()` Checks whether this `IdeProjectNode` is a directory.
`StringEnumeration` | `writableFileTypes()` Returns an enumeration of strings containing the names of writable file types.

Method Detail

### children

    public IdeProjectNodeEnumeration children()

  Returns an enumeration of sub`IdeProjectNode`s for this node.
  Returns: an enumeration of sub`IdeProjectNode`s for this node

### getAbsoluteFileName

    public String getAbsoluteFileName()

  Returns the string that contain fully qualified name of this `IdeProjectNode`.
  Returns: `String` with the full name of this `IdeProjectNode`

### getAccess

    public String getAccess()

  Returns the string with the kind of access to this `IdeProjectNode`. The predefined values are stored in `IdeProjectConstant` interface.
  Returns: `String` type of access to this `IdeProjectNode`
  See Also:
    IdeProjectConstant

### getFileName

    public String getFileName()

  Returns the string with the name of this `IdeProjectNode`.
  Returns: `String` name of this `IdeProjectNode`

### getFileType

    public String getFileType()

  Returns a string that contains file type for this `IdeProjectNode`. If this `IdeProjectNode` is a directory then this method returns `null`.

  The file type represents the kind of files that carry similar context:
  for example, `java_files` file type is a type of all java files (*.java and *.class). These file types are defined in `filetype.config` file in Together's config directory.

  See Also:
    writableFileTypes()

### getLanguage

    public String getLanguage()

  Returns the string with the name of a programming lagnuage for this `IdeProjectNode`. The predefined values are in `SciLanguage` interface.
  See Also:
    `SciLanguage`

### getPackagePrefix

    public String getPackagePrefix()

  Returns the string with a name of a package where this `IdeProjectNode` belongs. For example, if the root package is "com.togethersoft" then for the node "source\com\togethersoft\togetherx\ide\project\IdeProjectNode.java" this method will return "com.togethersoft.openapi.ide.project"
  Returns: `String` with a name of the package where this `IdeProjectNode` belongs

### getParent

    public IdeProjectNode getParent()

  Returns the `IdeProjectNode` this `IdeProjectNode` belongs to. If it is a root `IdeProjectNode` then returns `null`.
  Returns: `IdeProjectNode` this `IdeProjectNode` belongs to

### getProject

    public IdeProject getProject()

  Returns the `IdeProject` where this `IdeProjectNode` belongs.
  Returns: the `IdeProject` for this `IdeProjectNode`

### getProperty

    public String getProperty(String key)

  Returns the string value of the specified property. A property is a "key-value" pair.
  Parameters:
    key - `String` key of the property to be retreived
  Returns: `String` value of this property, or `null` if there is no such property.

### getProperty

    public String getProperty(String key, String defValue)

  Gets the property value for the specified `key`, or returns specified default value, if such property is not found.
  Parameters:
    key - `String` key for the property in question
    defValue - `String` value which will be returned if such property is not found.

### isDirectory

    public boolean isDirectory()

  Checks whether this `IdeProjectNode` is a directory.
  Returns: `true` if this `IdeProjectNode` is a directory, `false` if it is a file

### writableFileTypes

    public StringEnumeration writableFileTypes()

  Returns an enumeration of strings containing the names of writable file types.
  See Also:
    getFileType()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD